Subject: bug#12078: 24.1; Improve the I-search prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 18 Sep 2020 17:05:51 +0200

Dani Moncayo <[email-masked]> writes:

> As discussed in bug #9918
> (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9918#50), I propose to
> change the format of the I-search prompt, so that instead of (e.g.):
>
>   Failing I-search: foobar
>   Overwrapped I-search: foobar
>   Failing overwrapped I-search: foobar
>   Failing I-search: foobar [initial node]
>
> would be
>
>   I-search: foobar  [failing]
>   I-search: foobar  [overwrapped]
>   I-search: foobar  [failing, overwrapped]
>   I-search: foobar  [failing, initial node]
>
> That is: present all the I-search "flags" at the right side of the
> search string, using that common pattern.

There didn't seem to be much enthusiasm for this, and I agree --
changing the prompt here just seems more intuitive and easier to
understand than something that looks like a feature set after the search
string.

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no